---
layout: video
release_date:   2017-11-19 20:00:00 +0200
recording_date: 2017-11-10 22:15:00 +0200
duration: "45:00"
room: AMS1
title:  "JavaScript Single-Page Applikationen"
subtitle: "Die React/Redux Architektur für Single-Page Webapplikationen"
persons:
- "Jakob Runge"
fahrplan_url: https://2017.nook-luebeck.de/2017/talk/javascript-single-page-applikationen
#https://www.uuidgenerator.net/
uid: fe084b38-1b5f-4bce-9749-e25030216b85
yt: "https://www.youtube.com/watch?v=ov65c7KxvzQ"
mccc: "https://media.ccc.de/v/metanook-2017-5-javascript_single_page_applikationen"
archive: "https://archive.org/details/2017-11-10-metanook-javascript-single-page-applikationen"
file: "https://video.chaotikum.net/metanook2017/javascript-single-page-applikationen.mp4"
slides: "https://2017.nook-luebeck.de/static/2017/slides/javascript-single-page-applikationen.pdf"
event: 49dd5db4-524b-4d2c-bd76-3915036ee78f
conferences:
- nook2017
- nook
---
JavaScript ist die Lingua Franca des Webs. Es gibt kaum eine größere Webapplikation, die ohne auskommt, und es ist sogar verlockend, entsprechend stark auf JavaScript zu setzen. Ansätze größere JavaScript Applikationen zu entwickeln gibt es wie Sand am Meer. Um etwas mehr Orientierung zu finden wollen wir uns in diesem Vortrag einen Stack genauer ansehen: React + Redux, Flowtype und ES-next.

Wie können größere Webapplikationen mit ES6/7, Flowtype, React und Redux aufgebaut werden?
Welche Rolle spielen die jeweiligen Bibliotheken in diesem Stack, und welche Folgen hat dies für eine Applikation, die darauf setzt?
Wie finden Features von modernem JavaScript in so einem Projekt Anwendung?
Welche Probleme birgt ein starker Fokus auf JavaScript?

Benötigtes Vorwissen: Die Zuhörer sollten eine grobe Lesekompetenz für HTML, CSS, JavaScript mitbringen, und eine Vorstellung davon haben, wie diese Technologien im Browser zusammenleben.