---
layout: video
release_date:   2018-11-27 20:00:00 +0200
recording_date: 2018-11-09 18:00:00 +0200
duration: "45:00"
room: AMS4
title:  "Einführung in die Statistik-Software R"
subtitle: "Ein praktischer Einstieg (hoffentlich) ohne ARRRRRGHs"
persons:
- "Daniel Wessel"
fahrplan_url: https://2018.nook-luebeck.de/2018/talk/einfuehrung-in-die-statistik-software-r
#https://www.uuidgenerator.net/
uid: 7c586fb3-fd82-4ec6-8ba3-fa5b40cd0a57
yt: "https://www.youtube.com/watch?v=M5lkrcL1dL0"
mccc: "https://media.ccc.de/v/metanook18-5-einfuehrung_in_die_statistik_software_r"
file: "https://video.chaotikum.net/metanook2018/einfuehrung-in-die-statistik-software-r.mov"
archive: "https://archive.org/details/2018-11-09-metanook-einfuehrung-in-die-statistik-software-r"
event: 5764b1fa-3f34-41d9-bfff-c84ab552c97d
conferences:
- nook2018
- nook
---
Die kostenlose Statistik-Software R ist extrem mächtig (und cool) — kommt allerdings mit einer ziemlich hohen Einstiegshürde daher.

In dieser Einführung gehen wir den Prozess einer Datenauswertung einmal beispielhaft durch. Vom Importieren von Daten (z. B. Fragebogen- oder Messdaten), über Datenbereinigung, Berechnungen, Visualisierung bis zu statistischen Tests. Außerdem gibt es Tips zur weiteren Einarbeitung und zum strukturierten Arbeiten bei der Auswertung. Damit spart man sich Arbeit, kann einfach die Berechnungen bei neuen Fällen aktualisieren, und versteht auch Monate später noch, was man gemacht hat.

Diese Einführung richtet sich an alle Personen, die Daten auswerten möchten, insbesondere Personen (z. B. aus Psychologie, Medizin, Medieninformatik, etc.), die bisher nur mit SPSS oder anderer GUI-basierten Statistik-Software gearbeitet haben.