---
layout: video
release_date:   2023-01-12 20:00:00 +0200
recording_date: 2022-11-11 19:00:00 +0200
duration: "45:00"
room: AMS3
title:  "Was kommt nach dem Internet?"
subtitle: "Eine Tour durch verschiedene Protokolle, die IP ablösen könnten"
persons:
- "Doralitze"
fahrplan_url: https://2022.nook-luebeck.de/talks/was-kommt-nach-dem-internet/
#https://www.uuidgenerator.net/
uid: ddd36032-3f97-496a-a4dd-b4580dd65569
yt: "https://www.youtube.com/watch?v=XgmR-at2Ur0"
mccc: "https://media.ccc.de/v/was-kommt-nach-dem-internet"
file: "https://video.chaotikum.net/nook22/was-kommt-nach-dem-internet.mov"
event: 46370f56-bfc1-413e-b220-431eec727d47
slides: "https://2022.nook-luebeck.de/slides/was-kommt-nach-dem-internet.pdf"
closedcaption: "https://git.chaotikum.org/chaotikum/video/subtitles/-/raw/main/nook22/was-kommt-nach-dem-internet.vtt"
cccomputergen: true
conferences:
- nook2022
- nook
---
Seit einigen Jahren gibt es IPv6 – und die Umsetzung läuft eher schleppend. Doch dies ist keine Ausrede schon über die Nachfolge nach zu denken. Deshalb wird schon fleißig an alternativen Protokollen gearbeitet, damit irgendwann, wenn es nötig wird, man ein komplett fertiges Konzept aus der Tasche ziehen und sofort loslegen kann. Hierbei wird auch erklärt, welche Anforderungen wir eigentlich an moderne Netzwerkprotokolle haben und wie man so etwas in Zukunft lösen könnte. Dieser Vortrag gibt einen Überblick darüber, was ist und was sein kann.

Vorwissen wird nicht benötigt und technische Teile (die sich leider nicht ganz verhindern lassen, aber stark reduziert werden) werden im Voraus erklärt.

Der Vortrag wird auf deutsch gehalten, macht sich aber nicht die Mühe englische Standartbegriffe, die mittlerweile im deutschen angekommen sind, zu übersetzen. „Computer“ klingt immerhin auf deutsch immer noch besser als „automatisierte elektronische Datenverarbeitungsmaschiene“.