---
layout: video
release_date:   2022-12-20 20:00:00 +0200
recording_date: 2022-11-12 16:15:00 +0200
duration: "45:00"
room: AMS3
title:  "ArchUnit: Software-Architektur bewahren"
subtitle: "Fortlaufend die Einhaltung eigener Architektur-Regeln sicherstellen"
persons:
- "Johannes Thorn"
fahrplan_url: https://2022.nook-luebeck.de/talks/archunit-software-architektur-bewahren/
#https://www.uuidgenerator.net/
uid: c592de07-9c88-4890-a401-4225eabebf06
yt: "https://www.youtube.com/watch?v=hcT2yZRxRvg"
mccc: "https://media.ccc.de/v/archunit-software-architektur-bewahren"
file: "https://video.chaotikum.net/nook22/archunit-software-architektur-bewahren.mov"
slides: "https://2022.nook-luebeck.de/slides/archunit-software-architektur-bewahren.pdf"
closedcaption: "https://git.chaotikum.org/chaotikum/video/subtitles/-/raw/main/nook22/archunit-software-architektur-bewahren.vtt"
cccomputergen: true
event: 46370f56-bfc1-413e-b220-431eec727d47
conferences:
- nook2022
- nook
---
„Software-Architektur ist die Menge aller wichtigen und schwer änderbaren Entscheidungen“, doch wie stellen wir sicher, dass wir uns im Team an einmal getroffene Entscheidungen auch halten?

Frei nach dem Motto „Man kann nicht keine Architektur haben“ entstehen die meisten Software-Systeme entsprechend einer inneren Struktur. Doch gibt es große Unterschiede, wie diese Struktur definiert, gepflegt und gelebt wird. Das kann von chaotisch fließend über nur in den Köpfen der Entwickelnden existierend bis hin zu klar definiert und dokumentiert in einer entsprechenden Architekturdokumentation reichen.

Doch nur weil etwas im besten Fall dokumentiert ist, heißt das noch lange nicht, dass alle auch entsprechend handeln. Stattdessen kommt es nur allzu schnell vor, dass wir aus Unwissen oder unter Zeitdruck gegen die selbstdefinierten Regeln verstoßen.

Um dem entgegenzuwirken, können wir uns nun auf unser Gewissen verlassen oder hoffen, dass es im Code-Review schon auffallen wird. ODER wir schaffen die Möglichkeit mit ArchUnit die Architektur-Regeln explizit zu beschreiben und auch automatisch auf Einhaltung zu prüfen.

Mit ArchUnit können wir Schichten und fachliche Schnitte innerhalb unserer Software und deren erlaubt Abhängigkeiten untereinander beschreiben und als Teil unserer Unit-Tests automatisch überprüfen. Gleichzeitig können wir Regeln zur „richtigen“ Verwendung von Annotationen und Exceptions aufstellen und diese gemeinsam mit unserer Applikation weiterentwickeln. Die Einhaltung der so festgelegten Architektur-Regeln kann fortlaufend geprüft werden als Teil der vorhandenen Testsuite.

Wünschenswertes Vorwissen:

Grundlegendes Verständnis von

der Softwareentwicklung im Team
Paketstrukturen und Verwendungsbeziehungen zwischen Klassen