---
layout: video
release_date:   2017-11-19 20:00:00 +0200
recording_date: 2017-11-10 23:15:00 +0200
duration: "45:00"
room: AM3
title:  "Stackenlichten: Pixelschubsen mit LEDs"
subtitle: "LED-Spielereien für Anfänger mit Neopixeln und fadecandy-Board"
persons:
- "Kellertuer"
fahrplan_url: https://media.ccc.de/v/metanook-2017-10-stackenlichten_pixelschubsen_mit_leds
#https://www.uuidgenerator.net/
uid: 6ca42ad9-cd38-48a7-80e6-ed5c4e65210e
yt: "https://www.youtube.com/watch?v=ggBUx7R-tWU"
mccc: "https://media.ccc.de/v/metanook-2017-10-stackenlichten_pixelschubsen_mit_leds"
archive: "https://archive.org/details/2017-11-10-metanook-stackenlichten"
file: "https://video.chaotikum.net/metanook2017/stackenlichten.mp4"
slides: "https://2017.nook-luebeck.de/static/2017/slides/stackenlichten.pdf"
event: 49dd5db4-524b-4d2c-bd76-3915036ee78f
conferences:
- nook2017
- nook
---
Kleine LEDs, die bunt vor sich hin blinken sind ein schönes Retro-Feeling. Eine ganz spezielle LED, der WS2812, von adafruit auch Neopixel genannt, lässt sich in beliebigen Farben ansteuern. Sie kann aber auch zusammengeschaltet werden, so dass man mit einem entsprechenden Microcontroller eine große Menge LEDs mit diesem Steuerboard einzeln und in beliebigen Farben betrieben werden kann

In diesem Talk geht es um Stackenlichten, die Idee, ein Blinkenlichten-artiges modulares Display zu bauen, so dass eine atmosphärische (überdimensionale) Lampe und ein Retro-Gaming-Display gleichzeitig entstehen – mit Pixeln in Dreiecksform. An diesem Projekt zeigt der Vortrag, dass es auch ohne, dass man Löten kann oder sich mit Elektronik auskennt mit LEDs und bunten Lichtern spielen kann. Stackenlichten zeigt aber auch, dass aus einer so kleinen Idee schnell ein Bastelprojekt eskalieren kann, zu dem ich dann doch löten gelernt habe. Und Python, 3D-Design, 3D-Druck und -Prototyping sowie ein wenig Graphentheorie.