---
layout: video
recording_date: 2022-11-12 18:15:00 +0200
release_date: 2023-09-05 10:00:00 +0100
duration: "45:00"
room: AMS1
title:  "OpenBikeSensor"
subtitle: "Überholabstandsmessung für Radfahrende"
persons:
- "Dennis Boldt"
- "Philip Ortwein"
fahrplan_url: https://2022.nook-luebeck.de/talks/openbikesensor/
#https://www.uuidgenerator.net/
uid: 50f211c1-8765-47b6-a4a2-c69a274eecea
yt: "https://www.youtube.com/watch?v=QQJC2RKq7ao"
mccc: "https://media.ccc.de/v/openbikesensor"
file: "https://video.chaotikum.net/nook22/openbikesensor.mp4"
event: 960ad8b8-41f8-42ad-b399-8ecf5bbf50d8
closedcaption: "https://git.chaotikum.org/chaotikum/video/subtitles/-/raw/main/nook22/openbikesensor.vtt"
cccomputergen: true
conferences:
- nook2022
- nook
---
OpenBikeSensor – Open Citizen Science, Open Innovation, Open Source, Open Hardware, Open Data

Wie oft passiert es uns, dass uns ein Auto beinahe vom Sattel holt? Was wir alle kennen, überprüft der OpenBikeSensor wissenschaftlich. Dazu wurde der OpenBikeSensor deutschlandweit entwickelt, der den Abstand misst und Überholmanöver Geodaten zuordnet. Wo ist es sicher? Wo nicht? Welche Uhrzeit? Welche Strecken? Der OpenBikeSensor soll helfen, das zu erkennen und zu belegen.

Das Ziel des OpenBikeSensors ist es, Schwachstellen und Verbesserungspotenzial in der Verkehrsinfrastruktur aufzuzeigen und diese in Kooperation mit Stadtplaner:innen zu beheben. Zudem soll der OpenBikeSensor die gesellschaftliche Wirkung von Kampagnen wie beispielsweise #AnderthalbMeter (in Städten) messen. Um statistisch verlässliche Open Data zu erhalten, ist es wichtig, dass möglichst viele Alltagsradler:innen mit unseren Sensoren offene Daten erfassen. Mit den von allen gesammelten Daten wiederum lassen sich individuelle Auswertungen vornehmen; von Initiativen, Kommunen und von Euch (Open Citizen Science).

Zentrales Hilfsmittel und Namensgeber des OpenBikeSensors ist unser Überholabstandsmesser, ein kleines technisches Gerät am Fahrrad. Während der Fahrt misst es den Abstand nach links und rechts (minus Lenkerbreite) und zeichnet die Fahrt via GPS auf. Überholmanöver kann die:der Radler:in per Taste am Lenker bestätigen. Nicht aufgezeichnet werden Fahrzeug- oder Personendaten der Überholenden. Es geht hauptsächlich um die Seitenabstände zu anderen Verkehrsteilnehmer:innen.

Es wurden bereits hunderte Sensoren gebaut und deutschlandweit auf die Straße gebracht hat. Auch in Lübeck gibt es mittlerweile 10 Geräte, welche zusammen von dem ADFC Lübeck und dem Chaotikum gebaut wurden, und erste Daten liefern.

Dieser Vortrag gibt einen Überblick über das Projekt – von der ersten Idee bis zum Sieg beim deutschen Fahrradpreis 2022.